Ubuntu

ifconfig returns SIOCSIFFLAGS: Unknown error 132 when running commad ifconfig wlan0 up

Reported by flasher on 2009-10-30
94
This bug affects 17 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

After upgrade to Karmic on EEE pc 1005HA wifi doesn't work at all.

Wifi module: ath9k
System: Linux floweee 2.6.31-14-generic-pae #48-Ubuntu SMP Fri Oct 16 15:22:42 UTC 2009 i686 GNU/Linux
Description: Ubuntu 9.10
Release: 9.10

Network manager tells "device not ready" in applet
Command ifconfig wlan0 up returns SIOCSIFFLAGS: Unknown error 132

but after running commands:

rmmod ath9k
rfkill block all
rfkill unblock all
modprobe ath9k
rfkill unblock all
ifconfig wlan0 up

wifi works correctly

ProblemType: Bug
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: flasher 1951 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf7db8000 irq 22'
   Mixer name : 'Realtek ALC269'
   Components : 'HDA:10ec0269,10438398,00100004'
   Controls : 14
   Simple ctrls : 9
Date: Fri Oct 30 11:20:24 2009
DistroRelease: Ubuntu 9.10
HibernationDevice: RESUME=UUID=56939128-fa9c-4928-8619-b97afd79de35
MachineType: ASUSTeK Computer INC. 1005HA
Package: linux-image-2.6.31-14-generic-pae 2.6.31-14.48
ProcCmdLine: root=UUID=39b0c7bd-9c19-4859-a957-12eb0c765bbe ro vga=789 splash
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic-pae
RelatedPackageVersions:
 linux-backports-modules-2.6.31-14-generic-pae 2.6.31-14.16
 linux-firmware 1.24
SourcePackage: linux
Tags: ubuntu-unr
Uname: Linux 2.6.31-14-generic-pae i686
WpaSupplicantLog:

XsessionErrors:
 (gnome-settings-daemon:2217): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (gnome-settings-daemon:2217): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (nautilus:2530): Eel-CRITICAL **: eel_preferences_get_boolean: assertion `preferences_is_initialized ()' failed
 (polkit-gnome-authentication-agent-1:2543): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed
 (gnome-panel:2529): Gdk-WARNING **: /build/buildd/gtk+2.0-2.18.3/gdk/x11/gdkdrawable-x11.c:952 drawable is not a pixmap or window
dmi.bios.date: 06/18/2009
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 0601
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: 1005HA
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: x.xx
dmi.chassis.asset.tag: 0x00000000
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK Computer INC.
dmi.chassis.version: x.x
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr0601:bd06/18/2009:svnASUSTeKComputerINC.:pn1005HA:pvrx.x:rvnASUSTeKComputerINC.:rn1005HA:rvrx.xx:cvnASUSTeKComputerINC.:ct10:cvrx.x:
dmi.product.name: 1005HA
dmi.product.version: x.x
dmi.sys.vendor: ASUSTeK Computer INC.

flasher (jirka-petrik) wrote :
apocalyp_sys (apocalypsysoml) wrote :

On my MSI M670 Laptop (Kernel wifi module rt61pci) the same problem came up after upgrading to Karmic.
The problem was caused by wifi on/off hardware button, which suddenly started to work (it never worked before).
After pressing this button the system brought the interface up automatically and NetworkManager displayed wireless networks.
So check for hardware wi-fi buttons on your device, dont know if EEE pc 1005HA has any.

Download full text (4.1 KiB)

Many thanks for help but threre is no hardware button on my EEE PC.
There is only keyboard shortcut which doesn't work either. I think it
is kernel problem because i found similar problems on other
distributions forums. I hope it will be repaired soon.

2009/10/30 apocalyp_sys <email address hidden>:
> On my MSI M670 Laptop (Kernel wifi module rt61pci) the same problem came up after upgrading to Karmic.
> The problem was caused by wifi on/off hardware button, which suddenly started to work (it never worked before).
> After pressing this button the system brought the interface up automatically and NetworkManager displayed wireless networks.
> So check for hardware wi-fi buttons on your device, dont know if EEE pc 1005HA has any.
>
> --
> ifconfig returns SIOCSIFFLAGS: Unknown error 132 when running commad ifconfig wlan0 up
> https://bugs.launchpad.net/bugs/464559
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: New
>
> Bug description:
> After upgrade to Karmic on EEE pc 1005HA wifi doesn't work at all.
>
> Wifi module: ath9k
> System: Linux floweee 2.6.31-14-generic-pae #48-Ubuntu SMP Fri Oct 16 15:22:42 UTC 2009 i686 GNU/Linux
> Description: Ubuntu 9.10
> Release: 9.10
>
> Network manager tells "device not ready" in applet
> Command ifconfig wlan0 up returns SIOCSIFFLAGS: Unknown error 132
>
> but after running commands:
>
> rmmod ath9k
> rfkill block all
> rfkill unblock all
> modprobe ath9k
> rfkill unblock all
> ifconfig wlan0 up
>
> wifi works correctly
>
> ProblemType: Bug
> AplayDevices:
>  **** List of PLAYBACK Hardware Devices ****
>  card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
>   Subdevices: 1/1
>   Subdevice #0: subdevice #0
> Architecture: i386
> ArecordDevices:
>  **** List of CAPTURE Hardware Devices ****
>  card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
>   Subdevices: 1/1
>   Subdevice #0: subdevice #0
> AudioDevicesInUse:
>  USER        PID ACCESS COMMAND
>  /dev/snd/controlC0:  flasher    1951 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
>  Card hw:0 'Intel'/'HDA Intel at 0xf7db8000 irq 22'
>   Mixer name   : 'Realtek ALC269'
>   Components   : 'HDA:10ec0269,10438398,00100004'
>   Controls      : 14
>   Simple ctrls  : 9
> Date: Fri Oct 30 11:20:24 2009
> DistroRelease: Ubuntu 9.10
> HibernationDevice: RESUME=UUID=56939128-fa9c-4928-8619-b97afd79de35
> MachineType: ASUSTeK Computer INC. 1005HA
> Package: linux-image-2.6.31-14-generic-pae 2.6.31-14.48
> ProcCmdLine: root=UUID=39b0c7bd-9c19-4859-a957-12eb0c765bbe ro vga=789 splash
> ProcEnviron:
>  LANG=en_US.UTF-8
>  SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.31-14.48-generic-pae
> RelatedPackageVersions:
>  linux-backports-modules-2.6.31-14-generic-pae 2.6.31-14.16
>  linux-firmware 1.24
> SourcePackage: linux
> Tags:  ubuntu-unr
> Uname: Linux 2.6.31-14-generic-pae i686
> WpaSupplicantLog:
>
> XsessionErrors:
>  (gnome-settings-daemon:2217): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
>  (gnome-settings-daemon:2217): GLib-CRITICAL **: g_propagate_error: assertion `src != NUL...

Read more...

Jack Holborn (jack-bbpfrance) wrote :

I'm also affected by this bug. I didn't had a clue about what happened at first until I saw this post. Then I tried to reproduce the flasher's "workaround" by doing only:
modprobe -r ath9k
rfkill block wifi
rfkill unblock wifi
modprobe ath9k

while NetworkManager was still running, and eeePC reconnected immediately to my router (great!).
Falling back to 2.6.28-16, which used to have wifi working, helped me to recover wifi but then it has other issues. I was on my way to recompile a new 2.6.31 but rfkill saved me from doing it, now I think it wouldn't have been of any help.
Also the F2 hotkey started working as expected (on my UNR it disables wifi AND bluetooth). Ok it's definitely not a kernel issue I guess, maybe something like a script at boottime?

flasher (jirka-petrik) wrote :

The problem is that if I not execute workaround script I'm not able to activate my wifi interface. So I guess it is not Network manager bug because it is trying to activate interface automaticaly but it is not possible before executing workaround script. So maybe there is problem between wifi kernel module kernel and rfkill because I think it is executed every time wifi should be activated. If all this work does some script then error could be there. But it is only my idea I don't know wifi activation process completely. A read somewhere that kernel since 2.6.30 are affected. And it is not only Ubuntu problem.

cojack (xcojack) wrote :

Same problem here, but now when I upgrade the kernel to the nevest version: 2.6.31-17-generic on 2.6.31-16-generic works correctly, I cant locate the error, don't know how to debug it with dgb, so I can't paste a debug symbols or something else. Syslog nothing return when I type: sudo ifconfig wlan0 up, only that pam_sm_authenticate:, so I can't also past a logs becouse I don't have it.

mod: iwlagn
ubuntu: 9.10

Regards.

PenquinCoder (penquincoder) wrote :

I am experience the same issue for an ath9k device on HP DV7 3060US

Wifi module: ath9k
System: Linux ubulap 2.6.31-17-generic #54-Ubuntu SMP Thu Dec 10 17:01:44 UTC 2009 x86_64 GNU/Linux

lspci
Card:08:00.0 Network controller: Atheros Communications Inc. AR928X Wireless Network Adapter (PCI-Express) (rev 01)

NM-Applet states: "device not ready"
Command ifconfig wlan0 up returns SIOCSIFFLAGS: Unknown error 132

Erwin (erwin-hug) wrote :

System: Linux ubuntu 9.10
kernel: 2.6.31-17-generic-pae #54-Ubuntu SMP Thu Dec 10 17:23:29 UTC 2009 i686 GNU/Linux
wlan card: RT2500 USB (build in card)
error at the step:

ifconfig wlan0 up
SIOCSIFFLAGS: Unknown error 132

Hi all,

Please can you try with last kernel version, which is located on http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.32/

Thanks in advance.

Changed in linux (Ubuntu):
status: New → Incomplete
Brad Krause (brad-krause) wrote :

I am running kernel 2.6.31-17-generic and discovered 'ifconfig wlan0 up' does not work,
BUT
ifconfig wlan0 192.168.0.2 netmask 255.255.255.0 up
works fine!!!

'ifconfig wlan0 down' when the device is already down won't let it come back up without a system reboot.

Basically, it seems any configuration error, no matter how slight, will hose 'ifconfig' until a system restart.

Brad Krause (brad-krause) wrote :

I should also add I'm using a DESKTOP system with Linksys WMP54G v3 wireless NIC. There is no 'disable wireless networking' button on the desktop.

I am NOT using NDIS wrapper, but using the Broadcom drives directly (see 'drivers' section below).

    lspci -vnn | grep 14e4
    14e4:4320 BCM4306 802.11b/g rev 03

02:09.0 Network controller: Broadcom Corporation BCM4306 802.11b/g Wireless LAN Controller (rev 03)
 Subsystem: Linksys Device 0013
 Flags: bus master, fast devsel, latency 64, IRQ 11
 Memory at ff9fe000 (32-bit, non-prefetchable) [size=8K]
 Kernel driver in use: b43-pci-bridge
 Kernel modules: ssb

lshw -C network
  *-network:0
       description: Network controller
       product: BCM4306 802.11b/g Wireless LAN Controller
       vendor: Broadcom Corporation
       physical id: 9
       bus info: pci@0000:02:09.0
       version: 03
       width: 32 bits
       clock: 33MHz
       capabilities: bus_master
       configuration: driver=b43-pci-bridge latency=64
       resources: irq:11 memory:ff9fe000-ff9fffff
  *-network:1 DISABLED
       description: Ethernet interface
       product: 3c905B 100BaseTX [Cyclone]
       vendor: 3Com Corporation
       physical id: a
       bus info: pci@0000:02:0a.0
       logical name: eth0
       version: 24
       serial: xx:xx:xx:xx:xx:xx
       size: 10MB/s
       capacity: 100MB/s
       width: 32 bits
       clock: 33MHz
       capabilities: pm bus_master cap_list rom ethernet physical tp mii 10bt 10bt-fd 100bt 100bt-fd autonegotiation
       configuration: autonegotiation=on broadcast=yes driver=3c59x duplex=half latency=64 link=yes maxlatency=10 mingnt=10 multicast=yes port=MII speed=10MB/s
       resources: irq:11 ioport:dc00(size=128) memory:ff9fdc00-ff9fdc7f memory:f6a00000-f6a1ffff(prefetchable)
  *-network
       description: Wireless interface
       physical id: 1
       logical name: wlan0
       serial: xx:xx:xx:xx:xx:xx
       capabilities: ethernet physical wireless
       configuration: broadcast=yes ip=192.168.100.2 multicast=yes wireless=IEEE 802.11bg

Drivers:
Add package: b43-fwcutter (use for Linksys WMP54G)
            automaticall creates the directories under: /lib/firmware/b43 and b43legacy

  /var/log/dmesg [21]: Should load firmware properly.
    b43/ucode5.fw
    b43/pcm5.fw
    b43/b0g0initvals5.fw
    b43/b0g0bsinitvals5.fw
  wpasupplicant is already installed with the Ubuntu distribution.

tags: added: karmic
AZ (m-dev) wrote :

I've the same problem with a rt2500usb (148f:2570 Ralink Technology, Corp. 802.11g WiFi) on karmic 32bit and 2.6.32 does not fix this for me. The workaround using rfkill does work for me.

DonFranco83 (fadolph) wrote :

Same here as AZ wrote. I have exactly the same WiFi chip as AZ (lsusb: Bus 001 Device 007: ID 148f:2570 Ralink Technology, Corp. 802.11g WiFi). The workaround using rfkill works only party for me. I only have a very, very low bandwidth with the device and the connection is very unstable. By the way, the device has worked without any problems in Jaunty ... :-(

Triaged for let the developers get further information

tags: added: regression-potential
Changed in linux (Ubuntu):
status: Incomplete → Triaged
importance: Undecided → Medium
Truxpin (faustria) wrote :

Hello everybody. I've just installed Karmic on a Lenovo Thinkpad W500 sporting a Intel Wireless WiFi Link 5300 WiFi adapter (I understand the chip should be the same as the 4965AGN one).
I cannot make either the network-manager to enable the device or the wpa_supplicant to get access to it...
Please see the attached summary (I'm not that much LINUX fluent and maybe I shoulda add more stuff... let me know if you need more info).

WiFi and Bluetooth are both managed by a front slider... Bluetooth works but WiFi doesn't.
No wireless and a nice HW... hummm what a pity!

Thanks for any help that will came along!

Fabrizio,

Brad Krause (brad-krause) wrote :

Update: Tested Karmic system 4 feet (1 meter) from access point, same problems.
Tested same system using Windows 2000 at 4' and at 20' (7 meters), no problem.
Tested Karmic w/100 Mbps 3COM wired Ethernet, no problem wired. Disabled wired / enabled wireless, same problems.

Chase Douglas (chasedouglas) wrote :

Could someone please test lucid to determine if the issue still persists? Booting a daily live cd build should be sufficient:

http://cdimage.ubuntu.com/daily-live/current/

Thanks

Truxpin (faustria) wrote :

No way... tried Lucid this morning for a few minutes, enough to see that on my Lenovo W500 the Wifi was not enabled and grayed out: same trouble as Karmic.
lsmod and modprobe -l showed the same stuff as that on 9.10.
I've got to work... so if you need other info from 10.04 let me know and I'll try to get back tomorrow.

Truxpin (faustria) wrote :

Has anyone made any progress on this problem? I had to return to lay patches in my kitchen... which is rather annoying!

Chase Douglas (chasedouglas) wrote :

@Truxpin:

Can you try the rfkill workaround mentioned in comment #4?

Truxpin (faustria) wrote :

Thanks for your support...

Tried the following:

$ sudo modprobe -r iwl3945
$ sudo rfkill block wifi
$ sudo rfkill unblock wifi
$ sudo modprobe iwl3945
$ sudo ifconfig wlan0 up
SIOCSIFFLAGS: Unknown error 132

$ lsmod | grep -i iw
iwl3945 74588 0
iwlagn 123428 0
iwlcore 124196 2 iwl3945,iwlagn
mac80211 226892 3 iwl3945,iwlagn,iwlcore
cfg80211 139624 4 iwl3945,iwlagn,iwlcore,mac80211
compat_firmware_class 8804 2 iwl3945,iwlagn

The bluetooth led goes off and then on in the process but the WiFi one doesn't... bad luck!
Is there anything I could collect to better understand what is not working?

Chase Douglas (chasedouglas) wrote :

@Truxpin:

I'm just learning about rfkill myself. Can you try running 'rfkill list'?

Truxpin (faustria) wrote :

Chase, here the "telling" output:

rfkill list
0: tpacpi_bluetooth_sw: Bluetooth
 Soft blocked: no
 Hard blocked: no
2: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: yes
3: hci0: Bluetooth
 Soft blocked: no
 Hard blocked: no

Truxpin (faustria) wrote :

...and here's the same cmd output run after I switched off the wireless button on the front on the PC:

rfkill list
0: tpacpi_bluetooth_sw: Bluetooth
 Soft blocked: yes
 Hard blocked: yes
2: phy0: Wireless LAN
 Soft blocked: yes
 Hard blocked: yes

feels like the system think the switch is off for WiFi anyway...

Chase Douglas (chasedouglas) wrote :

@Truxpin:

A relative of mine recently bought a Lenovo Y450. Even under windows, we couldn't get wireless to work out of the box as it came from the factory (amazing engineering there...). We finally found out through a google search that there are two rf switches (I cannot fathom why they thought this was a good idea) on the laptop: a normal "switch" and a keyboard function key. My guess is that you have flipped the normal "switch", but maybe you need to hit the function key on the laptop.

As an example, I found an image of the Y450 keyboard (I couldn't find an image of your keyboard): http://www.thinkpads.com/wp-content/uploads/2009/05/lenovo_ideapad_y450_keyboard.jpg. Notice that it has a wifi symbol on the F5 key. By hitting Fn+F5 you turn on and off wireless. You have to have the wireless enabled through this key combo AND the "switch" for wireless to work.

Please look for any similar switches on your laptop to see if you can enable it.

Truxpin (faustria) wrote :

Chase, you're absolutely right... and I should have known since I've been using IBM iron all my (technical) life.
W500 is no exception. Let me try this out a bit and I'll be back. Thanks

Truxpin (faustria) wrote :

Chase, the idea is good... but, alas, it looks like that both the hard and the soft switches cannot lift the Hard block on the w500 wireless wifi device.

Putting rfkill to listen (event) and trying the different combinations always leave the wifi device (idx 2) hard blocked:

t0:
> rfkill list
0: tpacpi_bluetooth_sw: Bluetooth
 Soft blocked: no
 Hard blocked: no
2: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: yes
8: hci0: Bluetooth
 Soft blocked: no
 Hard blocked: no

> rfkill event
RFKILL event: idx 0 type 2 op 0 soft 0 hard 0
RFKILL event: idx 2 type 1 op 0 soft 0 hard 1
RFKILL event: idx 8 type 2 op 0 soft 0 hard 0

t1 (flip the slider to block rf):

RFKILL event: idx 0 type 2 op 2 soft 0 hard 1
RFKILL event: idx 0 type 2 op 2 soft 1 hard 1
RFKILL event: idx 2 type 1 op 2 soft 1 hard 1
RFKILL event: idx 8 type 2 op 2 soft 1 hard 0
RFKILL event: idx 8 type 2 op 1 soft 1 hard 0

t2 (combo fn+F5):

RFKILL event: idx 0 type 2 op 2 soft 0 hard 1

t3 (flip the slider to unblock rf):

RFKILL event: idx 0 type 2 op 2 soft 0 hard 0
RFKILL event: idx 2 type 1 op 2 soft 0 hard 1
RFKILL event: idx 0 type 2 op 2 soft 0 hard 0
RFKILL event: idx 9 type 2 op 0 soft 0 hard 0
RFKILL event: idx 9 type 2 op 2 soft 0 hard 0

t4 (combo fn+F5):

RFKILL event: idx 2 type 1 op 2 soft 1 hard 1
RFKILL event: idx 0 type 2 op 2 soft 1 hard 0
RFKILL event: idx 9 type 2 op 2 soft 1 hard 0
RFKILL event: idx 9 type 2 op 1 soft 1 hard 0

t5 (combo fn+F5):

RFKILL event: idx 2 type 1 op 2 soft 0 hard 1
RFKILL event: idx 0 type 2 op 2 soft 0 hard 0
RFKILL event: idx 10 type 2 op 0 soft 0 hard 0
RFKILL event: idx 10 type 2 op 2 soft 0 hard 0

No action seems to unblock idx 2 hard block!
Growing desperate...

Chase Douglas (chasedouglas) wrote :

@Everyone:

First, everything in this bug looks to be hardware related due to all the rfkill issues. The issues are not related to Lucid or Karmic or any other Linux, unfortunately. Because of this, I am moving the bug state to Invalid so that it is removed from the bugs we are tracking as regressions against Lucid.

Changed in linux (Ubuntu):
status: Triaged → Invalid
Chase Douglas (chasedouglas) wrote :

@Truxpin:

If you still have Windows around, you may want to try booting into it to see if you can enable wifi in windows. Maybe the windows driver can unblock the hard block somehow? You should also double check your bios, as there may be a switch in there for wireless.

TDB (michael-baranov) wrote :

Sure! Let's swipe it under the carpet and ship Lucid with broken wifi
stack (yet again)! Sorry...

On Wed, Mar 3, 2010 at 9:11 AM, Chase Douglas
<email address hidden> wrote:
> @Truxpin:
>
> If you still have Windows around, you may want to try booting into it to
> see if you can enable wifi in windows. Maybe the windows driver can
> unblock the hard block somehow? You should also double check your bios,
> as there may be a switch in there for wireless.
>
> --
> ifconfig returns SIOCSIFFLAGS: Unknown error 132 when running commad ifconfig wlan0 up
> https://bugs.launchpad.net/bugs/464559
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Truxpin (faustria) wrote :

Chase, I agree with your decision to relate this issue to HW management.
windows is not an option, but I guess I will peer into the BIOS settings as soon as possible (this means having to wait till this evening). I'll be back as soon as possible.
By the way, we have 2 other W500 here with Win7 and they can wifi happily... so I'll perform some comparative anatomy!

Chase Douglas (chasedouglas) wrote :

@TDB:

I'll only make this comment once. The issues outlined in this bug seem to be hardware issues. We have diagnosed them down to hard blocks in the hardware that are keeping wifi from being enabled. There is nothing that can be done from within linux of any form to turn off a hard block. If the issues were that there was a soft block, we could look into ways in linux to flip the soft block, but that's not the case here.

This is not a matter of sweeping things under the rug to make lucid look pretty. It's recognizing that there are things out of our control as software developers. We cannot pour resources into bugs that aren't fixable in linux due to hardware issues.

I know wifi issues under linux can be a pain! I remember driving around town a few years ago trying to find the last revision B4 of the linksys wireless pci card because it had working linux drivers. We all want wireless to work well. That's why we must work on problems that are within our realm of control. This issue, unfortunately, is not.

Thanks

Chase Douglas wrote:
> @TDB:
>
> I'll only make this comment once. The issues outlined in this bug seem
> to be hardware issues. We have diagnosed them down to hard blocks in the
> hardware that are keeping wifi from being enabled. There is nothing that
> can be done from within linux of any form to turn off a hard block. If
> the issues were that there was a soft block, we could look into ways in
> linux to flip the soft block, but that's not the case here.
>
I have a laptop here that I upgraded to 9.10, this issue then suddenly
appeared. This issue did not exist prior to 9.10.

PenquinCoder (penquincoder) wrote :

Agreed. Using Ubuntu since eft, and the issue with wireless got a lot
better with Jaunty. Through Jaunty, and Intrepid I was not experience
any issues with wireless, even Ath or broadcom. Enter, Karmic and these
issues have magically cropped back up.

Note, as has pointed out this is a kernel bug, and NOT something to do
with Ubuntu itself. The ifconfig issue happened to me in Fedora, and
OpenSuse as well.

Just have to wait for a new kernel release folks. Till then, I recommend
using Wicd and the compatwireless drivers, they've been rocking for me.

On Thu, 2010-03-04 at 02:12 +0000, TDB wrote:
> > I have a laptop here that I upgraded to 9.10, this issue then suddenly
> > appeared. This issue did not exist prior to 9.10.
>
>
> Same here!
> @Chase Douglas: I don't know what you're talking about... what hard
> switches? There are no hard switches in these laptops. Just throw in 9.04 or
> windows and the "hard locks" are magically gone... I hope this rings a bell.
>
> @All: Unfortunately this is likely a kernel bug. My personal experience with
> bugs like this is that no one from Ubuntu team is capable of fixing those.
> This type of problems tends to go away with fresh kernel releases... Someone
> from Ubuntu will pop up here once in a while with "Is it still in Ubuntu
> X.XX?" and that's it. Move on, nothing to report here...
>

> I have a laptop here that I upgraded to 9.10, this issue then suddenly
> appeared. This issue did not exist prior to 9.10.

Same here!
@Chase Douglas: I don't know what you're talking about... what hard
switches? There are no hard switches in these laptops. Just throw in 9.04 or
windows and the "hard locks" are magically gone... I hope this rings a bell.

@All: Unfortunately this is likely a kernel bug. My personal experience with
bugs like this is that no one from Ubuntu team is capable of fixing those.
This type of problems tends to go away with fresh kernel releases... Someone
from Ubuntu will pop up here once in a while with "Is it still in Ubuntu
X.XX?" and that's it. Move on, nothing to report here...

Chase Douglas (chasedouglas) wrote :

I got mixed up in this bug report. Part of the problem is that there are many rfkill issues on different hardware. I was working with Truxpin for a while, and his issue is different than the original issue reported in this bug. So we need to clean things up a bit to ensure we have everything handled as best we can.

Truxpin and others with different hardware than the original poster (EEE PC 1005HA), please open a new bug for your own hardware issues if you feel it is warranted. This bug will be used to track the issue on the original bug report hardware.

For those still here with the EEE PC, its been mentioned that everything used to work fine in jaunty. Are you able to help me do some testing to figure out where the issue started? The testing may involve a combination of:

* Installing jaunty alongside karmic/lucid
* Installing test kernels (may be up to 20 different kernels doing a git bisect) in jaunty and karmic/lucid

It would also be really helpful if someone would follow the guide here to report a bug upstream: http://linuxwireless.org/en/users/Support. If you do report a bug to the mailing list, be sure to include a link to the message here so it can be tracked. I haven't found any reports on the mailing list, so its possible that the upstream developers are unaware of the issue.

Thanks

Changed in linux (Ubuntu):
status: Invalid → Triaged
Truxpin (faustria) wrote :

@Everyone: pls make sure, very sure, your HW enables the Wifi chip/radio.
BIOS first, then check hardware buttons/sliders and finally (it's the case with IBM's and Lenovo's notebooks) the Fn/F5 or any other combo key your PC may have.
rfkill is very useful to understand which one is off (soft are the latter case, while hard are the former twos).
I apologize with Chase for my very basic error of not checking BIOS first: my notebook came with Wireless disabled from factory (which may be just a specific situation, since the machine was originally shipped as a console - sigh!)... but checking BIOS should be the very first thing to do!

@Chase: Thanks again for your support and time.

Changed in linux (Ubuntu):
status: Triaged → Incomplete
Matt Foster (matt-p-foster) wrote :

I had the same problem as mentioned above on my EEEpc 1005HA running the netbook remix of Lucid Beta 2 (I had no problems with Karmic):

i.e. rfkill list showed:
...
2: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: yes

After reading through all of this, I checked the BIOS and found that wireless was disabled.
Enabling it fixed my problems, and rfkill now longer shows the phy0 as Hard blocked.

vasdi (vasdi) wrote :

Do you have a wifi button? Try to push it during the BIOS. For some reason it helped me.

isuftin (isuftin) wrote :

vasdi, What do you mean by "Try to push it during the BIOS."? Do you mean while youre in the BIOS config or while in the bootup POST screen?

tags: added: kernel-net
Jeremy Foshee (jeremyfoshee) wrote :

This bug report was marked as Incomplete and has not had any updated comments for quite some time. As a result this bug is being closed. Please reopen if this is still an issue in the current Ubuntu release http://www.ubuntu.com/getubuntu/download . Also, please be sure to provide any requested information that may have been missing. To reopen the bug, click on the current status under the Status column and change the status back to "New". Thanks.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kj-expired
Changed in linux (Ubuntu):
status: Incomplete → Expired
Jan (mrstrauss94) wrote :
Download full text (3.3 KiB)

After turning on the WLAN card wifi doesn't work.

Wifi module: ath5k
System: Linux mrstrauss-laptop 2.6.32-22-generic #36-Ubuntu SMP Thu Jun 3 19:31:57 UTC 2010 x86_64 GNU/Linux
Description: Ubuntu 10.04
Release: 10.04

Network manager tells "Funknerzwerk deaktiviert" (wlan disabled) in applet.
After running "ifconfig wlan0 up" it prints the Unknown error 132.

After running these commands wifi works fine:

rmmod ath5k
rfkill block all
rfkill unblock all
modprobe ath9k
rfkill unblock all
ifconfig wlan0 up

log: messages

Jun 23 22:38:19 mrstrauss-laptop kernel: [201543.430759] ath5k 0000:14:00.0: PCI INT A disabled
Jun 23 22:38:39 mrstrauss-laptop kernel: [201562.778424] ath5k 0000:14:00.0: PCI INT A -> GSI 19 (level, low) -> IRQ 19
Jun 23 22:38:39 mrstrauss-laptop kernel: [201562.778786] ath5k 0000:14:00.0: registered as 'phy1'
Jun 23 22:38:39 mrstrauss-laptop kernel: [201563.302173] ath5k phy1: Atheros AR2425 chip found (MAC: 0xe2, PHY: 0x70)

kern.log
un 23 22:38:19 mrstrauss-laptop kernel: [201543.430759] ath5k 0000:14:00.0: PCI INT A disabled
Jun 23 22:38:39 mrstrauss-laptop kernel: [201562.778424] ath5k 0000:14:00.0: PCI INT A -> GSI 19 (level, low) -> IRQ 19
Jun 23 22:38:39 mrstrauss-laptop kernel: [201562.778446] ath5k 0000:14:00.0: setting latency timer to 64
Jun 23 22:38:39 mrstrauss-laptop kernel: [201562.778786] ath5k 0000:14:00.0: registered as 'phy1'
Jun 23 22:38:39 mrstrauss-laptop kernel: [201563.287735] ath: EEPROM regdomain: 0x65
Jun 23 22:38:39 mrstrauss-laptop kernel: [201563.287743] ath: EEPROM indicates we should expect a direct regpair map
Jun 23 22:38:39 mrstrauss-laptop kernel: [201563.287754] ath: Country alpha2 being used: 00
Jun 23 22:38:39 mrstrauss-laptop kernel: [201563.287759] ath: Regpair used: 0x65
Jun 23 22:38:39 mrstrauss-laptop kernel: [201563.295414] phy1: Selected rate control algorithm 'minstrel'
Jun 23 22:38:39 mrstrauss-laptop kernel: [201563.302173] ath5k phy1: Atheros AR2425 chip found (MAC: 0xe2, PHY: 0x70)
Jun 23 22:38:39 mrstrauss-laptop kernel: [201563.423663] ADDRCONF(NETDEV_UP): wlan0: link is not ready
Jun 23 22:38:47 mrstrauss-laptop kernel: [201570.838575] wlan0: direct probe to AP 00:1f:3f:a2:13:4f (try 1)
Jun 23 22:38:47 mrstrauss-laptop kernel: [201570.845797] wlan0: direct probe responded
Jun 23 22:38:47 mrstrauss-laptop kernel: [201570.845813] wlan0: authenticate with AP 00:1f:3f:a2:13:4f (try 1)
Jun 23 22:38:47 mrstrauss-laptop kernel: [201570.848353] wlan0: authenticated
Jun 23 22:38:47 mrstrauss-laptop kernel: [201570.848414] wlan0: associate with AP 00:1f:3f:a2:13:4f (try 1)
Jun 23 22:38:47 mrstrauss-laptop kernel: [201570.853527] wlan0: RX AssocResp from 00:1f:3f:a2:13:4f (capab=0x411 status=0 aid=1)
Jun 23 22:38:47 mrstrauss-laptop kernel: [201570.853535] wlan0: associated
Jun 23 22:38:47 mrstrauss-laptop kernel: [201570.856241] ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
Jun 23 22:38:47 mrstrauss-laptop kernel: [201571.328745] Intel AES-NI instructions are not detected.
Jun 23 22:38:47 mrstrauss-laptop kernel: [201571.371591] padlock: VIA PadLock not detected.
Jun 23 22:38:58 mrstrauss-laptop kernel: [201581.732538] w...

Read more...

Changed in linux (Ubuntu):
status: Expired → New
Jeremy Foshee (jeremyfoshee) wrote :

Jan,
  Please open a new bug for your issue. This bug was expired due to lack of a response from the original reporter.

Thanks!

~JFo

Changed in linux (Ubuntu):
status: New → Invalid
A-non-ymous (doteva) wrote :

SOLVED on 2 machines!

I tryed ALL things including recompiling drivers etc..

On Ubuntu 10.04(ath5k on Acer One) i solved with:
- (for a temporary solution) try the rfkill thingy(rmmmod ath5k;rfkill block all;rfkill unblock all;modprobe ath5k;rfkill unlock all;ifconfig wlan0 up)
- finally solved by recompiling drivers(downloaded from realtek website - version RTL8192SE)

On Backtrack 4(ath9k on eee PC) i solved with:
-TAKE A LOOK AT THE DARN BIOS AND TURN ON THE WLAN OPTION!
(on eee PC press F2 at boot)

I know this has been closed. I don't think it should, since many people are affected by this. Today, I found the post with a probable solution. It seems, indeed that it has to do with the SOFT and HARD locks. The link to the solution is posted at the end of: http://ubuntuforums.org/showthread.php?t=1311886 (the direct link is http://www.opennet.ru/tips/info/2214.shtml). They provide code to cope with the problem. It has worked for me (for now). I have been having this problem since Karmic. I did not read the full posts, thus I don't know if some other people have been struggling with the nm-applet disabling the wireless connection. At first, I thought that my enable/disable physical switch was the problem, but no. Then I thought it was network-manager: nop. Now, I can run <code>ifconfig wlan0 down && ifconfig wlan0 up</code> without loosing my connection. See the links for an explanation. I am posting this because I really consider that there are a lot of people looking for a solution. By the way, I also tried the ath5k path, but it did not fully work. Cheers

Sorry to bother you again, but this is not solved for me yet. I changed my location and the wlan does not detect any networks. I wonder why. Doing

modprobe -r ath5k
rfkill block wifi
rfkill unblock wifi
modprobe ath5k
ifconfig wlan0 up

results in: SIOCSIFFLAGS: Unknown error 132

Jeremy Foshee wrote on 2010-06-14 (less than a month after the most recent post to this bug):
>
> This bug report was marked as Incomplete and has not had any updated comments for quite some time. As
> a result this bug is being closed. Please reopen if this is still an issue in the current Ubuntu release
> http://www.ubuntu.com/getubuntu/download . Also, please be sure to provide any requested information that
> may have been missing. To reopen the bug, click on the current status under the Status column and change
> the status back to "New". Thanks.
>
> [This is an automated message. Apologies if it has reached you inappropriately; please just reply to this
> message indicating so.]

and then somebody else commented on this bug with similar experiences and then...

Jeremy Foshee wrote on 2010-06-25:
> Jan,
> Please open a new bug for your issue. This bug was expired due to lack of a response from the original reporter.
>
> Thanks!

WTF?!?!

First the bug is closed less than a month after the most recent comment, despite lots of people commenting previously about how much this bug is affecting them and then somebody further posts about it and the response is to open a new bug? What purpose does that serve given that (a) all of the experience and supporting evidence about this issue is in this bug as well as all of the subscribers who are having the same problem. All of those subscribers will lose the trail when a new bug is opened about the *EXACT* same issue as is being covered here.

Given that I am experiencing this still, here on Lucid, 10.04.1, right on the verge of Maverick being released, THIS BUG NEEDS TO BE REOPENED, not have it's activity migrated to a new bug.

Changed in linux (Ubuntu):
status: Invalid → New
Brad Figg (brad-figg) on 2010-12-03
tags: added: acpi-parse-exec-fail
tags: added: embedded-controller
Brad Figg (brad-figg) on 2011-04-06
Changed in linux (Ubuntu):
status: New → Confirmed
tags: removed: regression-potential

This bug was filed against a series that is no longer supported and so is being marked as Won't Fix. If this issue still exists in a supported series, please file a new bug.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: Confirmed → Won't Fix

On 11-07-14 02:29 PM, Brad Figg wrote:
> This bug was filed against a series that is no longer supported and so
> is being marked as Won't Fix. If this issue still exists in a supported
> series, please file a new bug.

Ahhh. The old "ignore bugs until the automated script comes along and
closes them as out-of-date" maneuver. I guess that's one way to get the
open bug count down.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers